
Name:    tomahawk
Version: 0.4.2
Release: 1%{?dist}
Summary: The Social Media Player

License: GPLv2+
URL:     http://tomahawk-player.org/
Source0: http://download.tomahawk-player.org/tomahawk-%{version}.tar.bz2 

BuildRequires: jreen-devel
BuildRequires: boost-devel
BuildRequires: kdelibs4-devel
BuildRequires: pkgconfig(libattica)
BuildRequires: pkgconfig(libechonest) >= 1.2.0
BuildRequires: pkgconfig(libclucene-core) >= 2.3
BuildRequires: pkgconfig(phonon) >= 4.5.0
BuildRequires: pkgconfig(qca2)
BuildRequires: pkgconfig(QJson) 
BuildRequires: pkgconfig(taglib)
BuildRequires: quazip-devel
BuildRequires: qt4-devel
BuildRequires: qtweetlib-devel >= 0.4

%global libechonest_version %(pkg-config --modversion libechonest 2>/dev/null || echo 1.1.7)
Requires: libechonest%{?_isa} >= %{libechonest_version}
%global phonon_version %(pkg-config --modversion phonon 2>/dev/null || echo 4.5.0)
Requires: phonon%{?_isa} >= %{phonon_version}
%{?_qt4:Requires: qt4%{?_isa} >= %{_qt4_version}}
Requires: qca-ossl%{?_isa}


%description
Stop chasing your music across different machines, services and
websites. It's time to take the work out of "play". If the song you want
to listen to is in your local library, it just plays. If the song is on
a remote machine, it just plays. If the song is on the web, or available
from your subscription service, it just plays. By abstracting a piece
of content's metadata from its file location, users can easily share
playlists, listening history and more. It's sort of like Wonka Vision,
Tomahawk will reassemble it on the other side. OK, maybe that's not a
good analogy... but it's just as delicious.


%prep
%setup -q -n tomahawk-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
  -DBUILD_RELEASE:BOOL=ON \
  .. 
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

#unpackaged files (fixme?)
rm -fv %{buildroot}%{_datadir}/icons/hicolor/scalable/tomahawk.svg
%if 0%{?internal_jreen}
rm -rfv %{buildroot}%{_includedir}/jreen/
rm -fv  %{buildroot}%{_libdir}/libjreen.a
%endif


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/tomahawk.desktop


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%files
%doc AUTHORS LICENSE.txt README
%{_kde4_bindir}/tomahawk
%{_kde4_libdir}/libtomahawk*.so
%{_libexecdir}/tomahawk_crash_reporter
%{_datadir}/applications/tomahawk.desktop
%{_datadir}/icons/hicolor/*/*/*


%changelog
* Mon Apr 23 2012 Rex Dieter <rdieter@fedoraproject.org> 0.4.2-1
- 0.4.2

* Wed Mar 07 2012 Magnus Tuominen <magnus.tuominen@gmail.com> 0.4.0-1
- 0.4.0
- no need for the tomahawk.protocol file any more

* Mon Jan 09 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.3-4
- update Summary (s/Music/Media/)

* Sun Jan 08 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.3-3
- make qca-ossl dep arch'd

* Fri Jan 06 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.3-2
- drop unused patch
- drop snapshotting comment

* Fri Jan 06 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.3-1
- 0.3.3

* Mon Nov 14 2011 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-1
- 0.3.0

* Thu Sep 01 2011 Rex Dieter <rdieter@fedoraproject.org> 0.2.3-1
- 0.2.3

* Wed Aug 17 2011 Rex Dieter <rdieter@fedoraproject.org> 0.2.1-2
- unbundle jreen, BR: jreen-devel
- BR: boost-devel qca2-devel
- Requires: qca-ossl

* Tue Aug 16 2011 Rex Dieter <rdieter@fedoraproject.org> 0.2.1-1
- 0.2.1

* Tue Jun 14 2011 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-3.20110614
- 20110614 snapshot
- bundle jreen/qtweetlib (for now)

* Thu Jun 02 2011 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-2
- enable jreen, qtweeklib support
- add min runtime deps for qt,phonon,libechonest

* Wed Jun 01 2011 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-1
- first try at 0.1.0

